---
title: ProtonMail - Can it replace your email provider?
template: blog
date: 2016-06-28
image: https://protonmail.com/images/main-banner.jpg
summary: Incredibly secure, easy to use, but are it's trade-offs worth it?
---

Throughout my life, I've had many different email providers, starting with hotmail almost 10 years ago. In more recent years, I've been focusing more on ways I can secure my emails. No, I may not have anything to hide, but that doesn't mean I don't want the information I to have to be accessible easily.

Originally I thought the best way to keep things secure, and out of the hands of any government body was to host it all myself. This came with a number of problems, mostly due to my lack of experience running anything like this, which lead to problems with my spam filter blocking legitimate emails, and any emails I did send ending up in their spam folder. It was after this I decided to look into hosted options, I'm happy to pay money to have someone else look after the email servers for me, even if that's at the cost of using another companies infrastructure.

After searching around for a while, I stumbled on a company called _ProtonMail_, who claimed to be the most secure email host ever. Reading into the technologies they use, and watching one of their team members on a TED talk, I realised they weren't lying, their platform really was secure!

ProtonMail use a combination of open-source technologies, a closed-access platform, and swiss data centers to protect emails better than anyone else! The only way you can access your emails is by using their custom apps for Android, iOS, and web. Whilst this is annoying, it does mean the system isn't accessible through conventional protocols such as IMAP and POP3, which would considerably lower the security. The web portal itself is entirely open-source, and highly encourages any contributions, which should help make the platform even more secure, and help pump out features fast.

Back in April, I signed up to ProtonMail's _Plus_ tier, and switched all my domains to use their servers as an email provider. The setup process itself was incredibly simple, it showed you every DNS record you needed to create, so all you had to do was copy-paste! It also showed you extra records you could add to aid the security of your emails, and protect against people sending out emails using your domain, including DKIM signatures, and SPF records.


### The Problems

When I first started using ProtonMail, before I committed, I knew there were a lot of features missing, but I thought I wouldn't need these. Now my email traffic has increased, I'm starting to find myself needing / wanting these features more and more.

Now, 3 months on, I'm starting to get a little annoyed at ProtonMail, mainly at their lack of features. Yes the security is great, really great, but the fact I have to open a website and login every time I want to check my emails is a little tiring, and their mobile app, whilst fully functional and capable of the basics, has some bugs had glitches out sometimes.

Another problem is the lack of basic features. Whilst the client does have labels, and _'+ aliases'_, both of which are great features for those like me that like to keep things organised. The platform is missing out on some other key features, like:

- Custom message filter (currently in beta)
- IMAP / POP3 support, for external clients
- Custom PGP certificates
- Quick folder filters (see only unread...)
- Reading your emails offline (even through the mobile app)


These problems are taken for granted in most other mail platform, but because ProtonMail is built from the ground up, and is still a reasonably new product, it's missing a lot of these key features. I have no doubt that eventually, they will have all these features and more, but in the mean time, because I want these features now, I think it's time to look into another platform.

## _"Didn't you just waste your money?"_

Yes, this does mean I've paid for a service I'm technically no longer using. Which does annoy me, but considering it'll be used to help out the platform in the future, and I have every intention of switching back once it's got all the features I need, I can live with it.

## Next Steps
After looking around the internet for a suitable replacement, I settled on [FastMail](https://fastmail.com/?STKI=14665249) for a while, so I could get all the features I actually need, unfortunately sacrificing security.

##### __Update__
After being with [FastMail](https://fastmail.com/?STKI=14665249) now for almost a year, I'm moving back to ProtonMail. All issues listed above have now been fixed, and IMAP / SMTP support is currently in closed beta! I can finally have my security back!
